/[gentoo-x86]/dev-python/PyQt4/ChangeLog
Gentoo

Diff of /dev-python/PyQt4/ChangeLog

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

Revision 1.121 Revision 1.269
1# ChangeLog for dev-python/PyQt4 1# ChangeLog for dev-python/PyQt4
2# Copyright 1999-2010 Gentoo Foundation; Distributed under the GPL v2 2# Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
3# $Header: /var/cvsroot/gentoo-x86/dev-python/PyQt4/ChangeLog,v 1.121 2010/07/15 11:19:50 hwoarang Exp $ 3# $Header: /var/cvsroot/gentoo-x86/dev-python/PyQt4/ChangeLog,v 1.269 2014/10/04 12:22:24 maekke Exp $
4
5 04 Oct 2014; Markus Meier <maekke@gentoo.org> PyQt4-4.11.1.ebuild:
6 arm stable, bug #523322
7
8*PyQt4-4.11.2 (20 Sep 2014)
9
10 20 Sep 2014; Davide Pesavento <pesa@gentoo.org> +PyQt4-4.11.2.ebuild,
11 PyQt4-4.11.1.ebuild:
12 Version bump. Silence harmless repoman warning.
13
14 13 Sep 2014; Davide Pesavento <pesa@gentoo.org> PyQt4-4.11.1.ebuild:
15 Drop deprecated python versions.
16
17 13 Sep 2014; Davide Pesavento <pesa@gentoo.org> -PyQt4-4.10.3-r3.ebuild,
18 PyQt4-4.11.1.ebuild:
19 Stop using dohtml, remove old.
20
21 17 Jul 2014; Michael Palimaka <kensington@gentoo.org> -PyQt4-4.11.ebuild:
22 Remove old.
23
24*PyQt4-4.11.1 (15 Jul 2014)
25
26 15 Jul 2014; Davide Pesavento <pesa@gentoo.org> +PyQt4-4.11.1.ebuild,
27 PyQt4-4.11.ebuild:
28 Version bump.
29
30 20 Jun 2014; Ian Delaney <idella4@gentoo.org> PyQt4-4.10.3-r3.ebuild,
31 PyQt4-4.11.ebuild:
32 add py3.4 support req'd to support py packages such as pandas
33
34 30 May 2014; Davide Pesavento <pesa@gentoo.org> PyQt4-4.10.3-r2.ebuild,
35 PyQt4-4.10.3-r3.ebuild:
36 Restrict sip dep to =4.15* for older PyQt4 versions.
37
38*PyQt4-4.11 (30 May 2014)
39
40 30 May 2014; Davide Pesavento <pesa@gentoo.org> +PyQt4-4.11.ebuild:
41 Version bump.
42
43 21 May 2014; Davide Pesavento <pesa@gentoo.org> PyQt4-4.10.3-r2.ebuild,
44 PyQt4-4.10.3-r3.ebuild, metadata.xml:
45 Update pypi identifier in HOMEPAGE and <upstream> metadata tag. Thanks to
46 Martin Walch in bug 510812.
47
48 19 May 2014; Michał Górny <mgorny@gentoo.org> -PyQt4-4.10.2.ebuild,
49 -PyQt4-4.10.3.ebuild:
50 Drop the old versions that required python-exec:0.
51
52 02 Apr 2014; Michael Palimaka <kensington@gentoo.org> metadata.xml:
53 Remove python herd as discussed with them.
54
55*PyQt4-4.10.3-r3 (27 Mar 2014)
56
57 27 Mar 2014; Michał Górny <mgorny@gentoo.org> +PyQt4-4.10.3-r3.ebuild:
58 Replace manual Python wrapping with proper eclass functions, bug #484404.
59
60 23 Mar 2014; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.10.3-r2.ebuild:
61 Stable for sparc, wrt bug #495638
62
63 23 Mar 2014; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.10.3-r2.ebuild:
64 Stable for x86, wrt bug #495638
65
66 19 Mar 2014; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.10.3-r2.ebuild:
67 Stable for alpha, wrt bug #495638
68
69 18 Mar 2014; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.10.3-r2.ebuild:
70 Stable for ia64, wrt bug #495638
71
72 14 Mar 2014; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.10.3-r2.ebuild:
73 Stable for ppc64, wrt bug #495638
74
75 08 Mar 2014; Pacho Ramos <pacho@gentoo.org> PyQt4-4.10.3-r2.ebuild:
76 amd64 stable, bug 495638
77
78 02 Feb 2014; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.10.3-r2.ebuild:
79 Stable for ppc, wrt bug #495638
80
81 30 Jan 2014; Markus Meier <maekke@gentoo.org> PyQt4-4.10.3-r2.ebuild:
82 arm stable, bug #495638
83
84 28 Dec 2013; Steve Arnold <nerdboy@gentoo.org>
85 files/PyQt4-4.7.3-qreal_float_support.patch:
86 Updated qreal_float patch to remove first hunk (already applied
87 upstream). Tested on arm chromebook; no existing bug.
88
89*PyQt4-4.10.3-r2 (25 Dec 2013)
90
91 25 Dec 2013; Davide Pesavento <pesa@gentoo.org> +PyQt4-4.10.3-r2.ebuild,
92 -PyQt4-4.10.3-r1.ebuild, metadata.xml:
93 Introduce USE="designer".
94
95 25 Dec 2013; Davide Pesavento <pesa@gentoo.org> -PyQt4-4.9.6-r2.ebuild:
96 old
97
98 23 Dec 2013; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.10.2.ebuild:
99 Stable for sparc, wrt bug #483112
100
101 31 Oct 2013; Michał Górny <mgorny@gentoo.org> PyQt4-4.10.2.ebuild,
102 PyQt4-4.10.3-r1.ebuild, PyQt4-4.10.3.ebuild, PyQt4-4.9.6-r2.ebuild:
103 Update the ebuilds to dep on dev-lang/python-exec.
104
105 23 Oct 2013; Davide Pesavento <pesa@gentoo.org> -PyQt4-4.10.1.ebuild:
106 old
107
108*PyQt4-4.10.3-r1 (23 Oct 2013)
109
110 23 Oct 2013; Michał Górny <mgorny@gentoo.org> +PyQt4-4.10.3-r1.ebuild:
111 Support python-exec:2.
112
113 19 Sep 2013; Ben de Groot <yngwin@gentoo.org> PyQt4-4.10.3.ebuild:
114 Depend on sip >=4.15.0 to fix build failure (bug #485274)
115
116 17 Sep 2013; Michał Górny <mgorny@gentoo.org> PyQt4-4.10.1.ebuild,
117 PyQt4-4.10.2.ebuild, PyQt4-4.10.3.ebuild, PyQt4-4.9.6-r2.ebuild:
118 Add explicit dep on python-exec:0 since the package wraps the script manually.
119
120*PyQt4-4.10.3 (17 Sep 2013)
121
122 17 Sep 2013; Ben de Groot <yngwin@gentoo.org> +PyQt4-4.10.3.ebuild:
123 Version bump
124
125 13 Sep 2013; Jonathan Callen <jcallen@gentoo.org> PyQt4-4.10.1.ebuild,
126 PyQt4-4.10.2.ebuild, PyQt4-4.9.6-r2.ebuild:
127 Add missing [${PYTHON_USEDEP}] on dbus-python DEPEND
128
129 10 Sep 2013; Markus Meier <maekke@gentoo.org> PyQt4-4.10.2.ebuild:
130 arm stable, bug #483112
131
132 05 Sep 2013; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.10.2.ebuild:
133 Stable for x86, wrt bug #483112
134
135 05 Sep 2013; Michał Górny <mgorny@gentoo.org> PyQt4-4.10.1.ebuild,
136 PyQt4-4.10.2.ebuild, PyQt4-4.9.6-r2.ebuild:
137 Clean up PYTHON_COMPAT from old implementations.
138
139 05 Sep 2013; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.10.2.ebuild:
140 Stable for ppc64, wrt bug #483112
141
142 04 Sep 2013; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.10.2.ebuild:
143 Stable for ppc, wrt bug #483112
144
145 03 Sep 2013; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.10.2.ebuild:
146 Stable for ia64, wrt bug #483112
147
148 02 Sep 2013; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.10.2.ebuild:
149 Stable for alpha, wrt bug #483112
150
151 31 Aug 2013; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.10.2.ebuild:
152 Stable for amd64, wrt bug #483112
153
154 22 Jul 2013; Michael Palimaka <kensington@gentoo.org> PyQt4-4.10.1.ebuild,
155 PyQt4-4.10.2.ebuild, PyQt4-4.9.6-r2.ebuild:
156 Reorder Qt dependencies.
157
158 10 Jul 2013; Patrick Lauer <patrick@gentoo.org> PyQt4-4.10.1.ebuild,
159 PyQt4-4.10.2.ebuild, PyQt4-4.9.6-r2.ebuild:
160 Fixing qtgui/designer deps for qt-4.8.5
161
162 10 Jul 2013; Patrick Lauer <patrick@gentoo.org> PyQt4-4.10.1.ebuild,
163 PyQt4-4.9.6-r2.ebuild:
164 Fixing qtgui deps for qt-4.8.5
165
166 08 Jul 2013; Davide Pesavento <pesa@gentoo.org> PyQt4-4.10.2.ebuild:
167 Remove wrong usedep for qtgui.
168
169*PyQt4-4.10.2 (24 Jun 2013)
170
171 24 Jun 2013; Davide Pesavento <pesa@gentoo.org> +PyQt4-4.10.2.ebuild:
172 Version bump.
173
174 24 Jun 2013; Davide Pesavento <pesa@gentoo.org> -PyQt4-4.10.ebuild,
175 PyQt4-4.10.1.ebuild:
176 Add PYTHON_REQUIRED_USE. Remove old.
177
178*PyQt4-4.10.1 (22 May 2013)
179
180 22 May 2013; Michael Palimaka <kensington@gentoo.org> +PyQt4-4.10.1.ebuild:
181 Version bump.
182
183 10 May 2013; Patrick Lauer <patrick@gentoo.org> metadata.xml:
184 Remove unused flag description from metadata
185
186 04 May 2013; Markos Chandras <hwoarang@gentoo.org> -PyQt4-4.9.4-r1.ebuild,
187 -files/PyQt4-4.7.2-configure.py.patch,
188 -files/PyQt4-4.9.4-pyuic-custom-widgets.patch:
189 old
190
191*PyQt4-4.10 (12 Mar 2013)
192
193 12 Mar 2013; Davide Pesavento <pesa@gentoo.org> +PyQt4-4.10.ebuild:
194 Version bump. Fix also bug #433944 by Franz Fellner.
195
196 11 Mar 2013; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.9.6-r2.ebuild:
197 Stable for sparc, wrt bug #457046
198
199 03 Mar 2013; Markos Chandras <hwoarang@gentoo.org> PyQt4-4.9.4-r1.ebuild,
200 PyQt4-4.9.6-r2.ebuild:
201 Move Qt dependencies to the new category
202
203 21 Feb 2013; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.9.6-r2.ebuild:
204 Stable for ia64, wrt bug #457046
205
206 18 Feb 2013; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.9.6-r2.ebuild:
207 Stable for ppc64, wrt bug #457046
208
209 18 Feb 2013; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.9.6-r2.ebuild:
210 Stable for ppc, wrt bug #457046
211
212 15 Feb 2013; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.9.6-r2.ebuild:
213 Stable for alpha, wrt bug #457046
214
215 15 Feb 2013; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.9.6-r2.ebuild:
216 Stable for arm, wrt bug #457046
217
218 15 Feb 2013; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.9.6-r2.ebuild:
219 Stable for x86, wrt bug #457046
220
221 15 Feb 2013; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.9.6-r2.ebuild:
222 Stable for amd64, wrt bug #457046
223
224 15 Feb 2013; Davide Pesavento <pesa@gentoo.org> PyQt4-4.9.6-r2.ebuild:
225 BUILDDIR -> BUILD_DIR, fixes bug 457538 by ago.
226
227 13 Feb 2013; Davide Pesavento <pesa@gentoo.org> -PyQt4-4.9.6-r1.ebuild,
228 -PyQt4-4.9.6.ebuild, PyQt4-4.9.6-r2.ebuild:
229 Fix double prefix; remove old.
230
231 04 Feb 2013; Michael Palimaka <kensington@gentoo.org> PyQt4-4.9.6-r2.ebuild:
232 Use run_in_build_dir. Add python-3.3 support wrt bug #455020.
233
234*PyQt4-4.9.6-r2 (29 Jan 2013)
235
236 29 Jan 2013; Michael Palimaka <kensington@gentoo.org> +PyQt4-4.9.6-r2.ebuild:
237 Migrate to the new python eclass.
238
239 27 Dec 2012; Davide Pesavento <pesa@gentoo.org> PyQt4-4.9.6-r1.ebuild:
240 Improve pyqt4_use_enable() as suggested by Arfrever.
241
242 26 Dec 2012; Davide Pesavento <pesa@gentoo.org> -PyQt4-4.9.5.ebuild:
243 old
244
245*PyQt4-4.9.6-r1 (26 Dec 2012)
246
247 26 Dec 2012; Davide Pesavento <pesa@gentoo.org> +PyQt4-4.9.6-r1.ebuild,
248 metadata.xml:
249 EAPI=5 to be able to use slot operators in sip dependency. Sync USE flags with
250 pyside: rename assistant to help, add script and scripttools (bug 431460 by
251 Arfrever).
252
253*PyQt4-4.9.6 (10 Dec 2012)
254
255 10 Dec 2012; Davide Pesavento <pesa@gentoo.org> +PyQt4-4.9.6.ebuild:
256 Version bump, with some minor updates from qt overlay.
257
258 22 Nov 2012; Markus Meier <maekke@gentoo.org> PyQt4-4.9.4-r1.ebuild:
259 arm stable, bug #435074
260
261 28 Oct 2012; Markos Chandras <hwoarang@gentoo.org> -PyQt4-4.9.4.ebuild,
262 PyQt4-4.9.4-r1.ebuild:
263 Promote 4.9.4-r1 bugfix rel ebuild to stable. Drop old
264
265 28 Oct 2012; Markos Chandras <hwoarang@gentoo.org> -PyQt4-4.8.4.ebuild,
266 -PyQt4-4.9.1.ebuild:
267 Remove old
268
269*PyQt4-4.9.5 (05 Oct 2012)
270
271 05 Oct 2012; Markos Chandras <hwoarang@gentoo.org> +PyQt4-4.9.5.ebuild:
272 Version bump
273
274 09 Sep 2012; Raúl Porcel <armin76@gentoo.org> PyQt4-4.9.4.ebuild:
275 alpha/ia64/sparc stable wrt #429042
276
277*PyQt4-4.9.4-r1 (03 Sep 2012)
278
279 03 Sep 2012; Davide Pesavento <pesa@gentoo.org> +PyQt4-4.9.4-r1.ebuild,
280 +files/PyQt4-4.9.4-pyuic-custom-widgets.patch:
281 Apply upstream patch to fix regression in pyuic's handling of custom widgets
282 (bug 431070 by Laurent Bachelier).
283
284 20 Aug 2012; Johannes Huber <johu@gentoo.org> PyQt4-4.9.4.ebuild:
285 Stable for x86, wrt bug #429042
286
287 11 Aug 2012; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.9.4.ebuild:
288 Stable for amd64, wrt bug #429042
289
290 11 Aug 2012; Anthony G. Basile <blueness@gentoo.org> PyQt4-4.9.4.ebuild:
291 Stable ppc64, bug #429042
292
293 10 Aug 2012; Anthony G. Basile <blueness@gentoo.org> PyQt4-4.9.4.ebuild:
294 Stable ppc, bug #429042
295
296 09 Jul 2012; Raúl Porcel <armin76@gentoo.org> PyQt4-4.9.1.ebuild:
297 ia64 stable
298
299 09 Jul 2012; Davide Pesavento <pesa@gentoo.org> -PyQt4-4.8.1.ebuild,
300 -files/PyQt4-4.6.1-configure-multilib.patch:
301 Remove old.
302
303 08 Jul 2012; Raúl Porcel <armin76@gentoo.org> PyQt4-4.9.1.ebuild,
304 PyQt4-4.9.4.ebuild:
305 alpha/ia64/sparc stable wrt #412929
306
307*PyQt4-4.9.4 (02 Jul 2012)
308
309 02 Jul 2012; Davide Pesavento <pesa@gentoo.org> +PyQt4-4.9.4.ebuild,
310 -PyQt4-4.9.3.ebuild:
311 Version bump.
312
313*PyQt4-4.9.3 (27 Jun 2012)
314
315 27 Jun 2012; Davide Pesavento <pesa@gentoo.org> +PyQt4-4.9.3.ebuild,
316 -PyQt4-4.9.2.ebuild:
317 Version bump.
318
319 23 Jun 2012; Markos Chandras <hwoarang@gentoo.org> PyQt4-4.9.2.ebuild:
320 Raise dev-python/sip dependency to 4.13.3 thanks to Arfrever
321
322*PyQt4-4.9.2 (21 Jun 2012)
323
324 21 Jun 2012; Markos Chandras <hwoarang@gentoo.org> +PyQt4-4.9.2.ebuild:
325 Version bump
326
327 14 Jun 2012; Ben de Groot <yngwin@gentoo.org> PyQt4-4.8.1.ebuild:
328 Destabling to ~ia64 because last available stable qt will be masked pending
329 removal
330
331 23 May 2012; Jeff Horelick <jdhore@gentoo.org> PyQt4-4.9.1.ebuild:
332 marked x86 per bug 412929
333
334 21 May 2012; Mike Gilbert <floppym@gentoo.org> PyQt4-4.8.1.ebuild,
335 PyQt4-4.8.4.ebuild, PyQt4-4.9.1.ebuild:
336 Inherit eutils.
337
338 16 May 2012; Mike Gilbert <floppym@gentoo.org> PyQt4-4.8.1.ebuild,
339 PyQt4-4.8.4.ebuild, PyQt4-4.9.1.ebuild:
340 Revert previous change.
341
342 16 May 2012; Mike Gilbert <floppym@gentoo.org> PyQt4-4.8.1.ebuild,
343 PyQt4-4.8.4.ebuild, PyQt4-4.9.1.ebuild:
344 Restrict python 3.1 to match dev-python/dbus-python.
345
346 13 May 2012; Davide Pesavento <pesa@gentoo.org> metadata.xml:
347 Fix kde USE flag description (media-libs/phonon vs. media-sound/phonon).
348
349 04 May 2012; Patrick Lauer <patrick@gentoo.org> PyQt4-4.9.1.ebuild:
350 Migrating dev-util/pkgconfig -> virtual/pkgconfig
351
352 24 Apr 2012; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.9.1.ebuild:
353 Stable for amd64, wrt bug #412929
354
355 31 Mar 2012; Tobias Klausmann <klausman@gentoo.org> PyQt4-4.8.4.ebuild:
356 Stable on alpha, bug #354033
357
358 07 Mar 2012; Andreas K. Huettel <dilfridge@gentoo.org> PyQt4-4.8.1.ebuild,
359 PyQt4-4.8.4.ebuild:
360 PyQt4-4.8 does not build with sip-4.13, bug 407291
361
362 07 Mar 2012; Davide Pesavento <pesa@gentoo.org> PyQt4-4.9.1.ebuild:
363 Slightly improve the ewarn message in pkg_postinst().
364
365 07 Mar 2012; Davide Pesavento <pesa@gentoo.org> metadata.xml:
366 Put qt as the primary herd in metadata.
367
368 07 Mar 2012; Davide Pesavento <pesa@gentoo.org> PyQt4-4.8.4.ebuild:
369 Fix insecure RUNPATH in qpy/QtOpenGL, thanks to Steve L
370 <slong@rathaus.eclipse.co.uk> in bug #407281.
371
372 03 Mar 2012; Davide Pesavento <pesa@gentoo.org> PyQt4-4.9.1.ebuild:
373 Switch to EAPI 4, add REQUIRED_USE.
374
375 02 Mar 2012; Davide Pesavento <pesa@gentoo.org> PyQt4-4.8.1.ebuild,
376 PyQt4-4.8.4.ebuild:
377 Drop ~x86-fbsd because of unkeyworded dependencies.
378
379 02 Mar 2012; Davide Pesavento <pesa@gentoo.org> PyQt4-4.9.1.ebuild:
380 Don't enable QtAssistant module because it was removed in qt-4.7 and we
381 already depend on 4.7.2 or later.
382
383 21 Feb 2012; Davide Pesavento <pesa@gentoo.org> -PyQt4-4.7.3.ebuild,
384 PyQt4-4.8.1.ebuild, PyQt4-4.8.4.ebuild:
385 Restrict pypy for older versions too.
386
387 21 Feb 2012; Davide Pesavento <pesa@gentoo.org> PyQt4-4.9.1.ebuild:
388 Build QtTest module only with USE="X" because it needs QtGui (bug #348349).
389 Add build-time dep on pkgconfig with USE="dbus". Raise minimum required Qt
390 version.
391
392 20 Feb 2012; Davide Pesavento <pesa@gentoo.org> -PyQt4-4.7.7-r1.ebuild,
393 -PyQt4-4.8.1-r1.ebuild, -PyQt4-4.8.2.ebuild, -PyQt4-4.8.3.ebuild,
394 -PyQt4-4.8.5.ebuild, -PyQt4-4.8.6.ebuild, -PyQt4-4.9.ebuild,
395 -files/PyQt4-4.7.7-fix-scpk-and-flag-issue.diff,
396 -files/PyQt4-4.8.3-configure-multilib.patch, metadata.xml:
397 Add <upstream> tag to metadata. Cleanup old ebuilds and patches.
398
399 20 Feb 2012; Patrick Lauer <patrick@gentoo.org> PyQt4-4.7.3.ebuild,
400 PyQt4-4.7.7-r1.ebuild, PyQt4-4.8.1-r1.ebuild, PyQt4-4.8.1.ebuild,
401 PyQt4-4.8.2.ebuild, PyQt4-4.8.3.ebuild, PyQt4-4.8.4.ebuild,
402 PyQt4-4.8.5.ebuild, PyQt4-4.8.6.ebuild, PyQt4-4.9.1.ebuild, PyQt4-4.9.ebuild:
403 Fixing pypy restricts to actually work
404
405*PyQt4-4.9.1 (12 Feb 2012)
406
407 12 Feb 2012; Markos Chandras <hwoarang@gentoo.org> +PyQt4-4.9.1.ebuild:
408 version bump
409
410 25 Jan 2012; Alex Alexander <wired@gentoo.org> PyQt4-4.9.ebuild:
411 builds with qt-opengl-4.8.0[egl], updated dep
412
413 27 Dec 2011; Maxim Koltsov <maksbotan@gentoo.org> PyQt4-4.9.ebuild:
414 Enable versioning of /usr/bin/pyuic4. Run eqmake4() in qpy/QtDBus directory.
415 Fixes backported from Progress Overlay. Patch by Arfrever.
416
417*PyQt4-4.9 (24 Dec 2011)
418
419 24 Dec 2011; Markos Chandras <hwoarang@gentoo.org> +PyQt4-4.9.ebuild:
420 Version bump
421
422*PyQt4-4.8.6 (11 Nov 2011)
423
424 11 Nov 2011; Markos Chandras <hwoarang@gentoo.org> +PyQt4-4.8.6.ebuild:
425 Version bump
426
427 24 Aug 2011; Markos Chandras <hwoarang@gentoo.org> PyQt4-4.8.5.ebuild:
428 Restrict PyPy ABIs. Avoid warnings about insecure runpaths (bug #376483).
429 Print useful warning in pkg_postinst(). Patch by Arfrever. Backported from
430 python overlay.
431
432*PyQt4-4.8.5 (19 Aug 2011)
433
434 19 Aug 2011; Markos Chandras <hwoarang@gentoo.org> +PyQt4-4.8.5.ebuild:
435 Version bump
436
437 25 Jul 2011; Kacper Kowalik <xarthisius@gentoo.org> PyQt4-4.8.4.ebuild:
438 ppc/ppc64 stable wrt #374591
439
440 21 Jul 2011; Markus Meier <maekke@gentoo.org> PyQt4-4.8.4.ebuild:
441 x86 stable, bug #374591
442
443 13 Jul 2011; Kacper Kowalik <xarthisius@gentoo.org> PyQt4-4.8.3.ebuild:
444 ppc64 stable wrt #354033
445
446 10 Jul 2011; Markos Chandras <hwoarang@gentoo.org> PyQt4-4.8.4.ebuild:
447 Stable on amd64 wrt bug #374591
448
449 01 Jun 2011; Brent Baude <ranger@gentoo.org> PyQt4-4.8.3.ebuild:
450 Marking PyQt4-4.8.3 ppc stable for bug 354033
451
452 09 May 2011; Markos Chandras <hwoarang@gentoo.org> PyQt4-4.8.3.ebuild:
453 Stable on amd64 wrt bug #354033
454
455 09 May 2011; Thomas Kahle <tomka@gentoo.org> PyQt4-4.8.3.ebuild:
456 x86 stable per bug 354033
457
458*PyQt4-4.8.4 (02 May 2011)
459
460 02 May 2011; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
461 +PyQt4-4.8.4.ebuild:
462 Version bump.
463
464 26 Mar 2011; Andreas K. Huettel <dilfridge@gentoo.org> PyQt4-4.7.3.ebuild,
465 PyQt4-4.7.7-r1.ebuild, PyQt4-4.8.1.ebuild, PyQt4-4.8.1-r1.ebuild,
466 PyQt4-4.8.2.ebuild, PyQt4-4.8.3.ebuild:
467 Adapt phonon dependency for package move
468
469 16 Mar 2011; Kacper Kowalik <xarthisius@gentoo.org> PyQt4-4.8.1.ebuild:
470 ppc64 stable wrt #349607
471
472 27 Feb 2011; Raúl Porcel <armin76@gentoo.org> PyQt4-4.8.1.ebuild:
473 ia64/sparc stable wrt #349607
474
475 27 Feb 2011; Tobias Klausmann <klausman@gentoo.org> PyQt4-4.8.1.ebuild:
476 Stable on alpha, bug #349607
477
478 28 Jan 2011; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
479 PyQt4-4.8.3.ebuild:
480 Update dependencies (bug #353053).
481
482*PyQt4-4.8.3 (25 Jan 2011)
483
484 25 Jan 2011; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
485 +PyQt4-4.8.3.ebuild, +files/PyQt4-4.8.3-configure-multilib.patch:
486 Version bump.
487
488 16 Jan 2011; Pawel Hajdan jr <phajdan.jr@gentoo.org> PyQt4-4.8.1.ebuild:
489 x86 stable wrt bug #349607
490
491 07 Jan 2011; Brent Baude <ranger@gentoo.org> PyQt4-4.8.1.ebuild:
492 Marking PyQt4-4.8.1 ppc stable for bug 349607
493
494 04 Jan 2011; Markos Chandras <hwoarang@gentoo.org> PyQt4-4.8.1.ebuild:
495 Stable on amd64 wrt bug #349607
496
497 30 Dec 2010; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
498 PyQt4-4.8.1.ebuild, PyQt4-4.8.1-r1.ebuild, PyQt4-4.8.2.ebuild:
499 Require x11-libs/qt-opengl[-egl] until bug #344513 is fixed.
500
501*PyQt4-4.8.1-r1 (30 Dec 2010)
502
503 30 Dec 2010; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
504 PyQt4-4.8.1.ebuild, +PyQt4-4.8.1-r1.ebuild:
505 Copy 4.8.1 to 4.8.1-r1. Delete "declarative" USE flag in 4.8.1.
506
507 25 Dec 2010; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
508 PyQt4-4.8.2.ebuild:
509 Fix dependencies (bug #349672).
510
511*PyQt4-4.8.2 (24 Dec 2010)
512
513 24 Dec 2010; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
514 +PyQt4-4.8.2.ebuild:
515 Version bump.
516
517 19 Dec 2010; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
518 PyQt4-4.7.3.ebuild, PyQt4-4.7.7-r1.ebuild, PyQt4-4.8.1.ebuild:
519 Restrict Jython ABIs.
520
521 19 Dec 2010; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
522 -files/PyQt4-4.5.4-qgraphicslinearlayout-fix.patch,
523 -files/configure-4.6.1.py.patch, -PyQt4-4.6.2.ebuild, -PyQt4-4.8.ebuild,
524 -files/configure.py.patch:
525 Delete.
526
527 06 Dec 2010; Alex Alexander <wired@gentoo.org> -PyQt4-4.5.4-r4.ebuild:
528 old, depends on qt 4.5
529
530 06 Nov 2010; Jeroen Roovers <jer@gentoo.org> PyQt4-4.5.4-r4.ebuild,
531 PyQt4-4.6.2.ebuild, PyQt4-4.7.3.ebuild, PyQt4-4.7.7-r1.ebuild,
532 PyQt4-4.8.ebuild, PyQt4-4.8.1.ebuild:
533 Remove HPPA keywording (bug #239441).
534
535*PyQt4-4.8.1 (30 Oct 2010)
536
537 30 Oct 2010; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
538 +PyQt4-4.8.1.ebuild:
539 Version bump.
540
541 23 Oct 2010; Raúl Porcel <armin76@gentoo.org> PyQt4-4.7.3.ebuild:
542 ia64/sparc stable wrt #315775
543
544*PyQt4-4.8 (23 Oct 2010)
545
546 23 Oct 2010; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
547 -PyQt4-4.7.ebuild, -PyQt4-4.7.5.ebuild, -PyQt4-4.7.7.ebuild,
548 +PyQt4-4.8.ebuild, metadata.xml:
549 Version bump.
550
551*PyQt4-4.7.7-r1 (06 Oct 2010)
552
553 06 Oct 2010; Theo Chatzimichos <tampakrap@gentoo.org>
554 +PyQt4-4.7.7-r1.ebuild, +files/PyQt4-4.7.7-fix-scpk-and-flag-issue.diff:
555 Revision bump, add patch that fixes compilation with PyKDE 4.5.2
556
557*PyQt4-4.7.7 (21 Sep 2010)
558
559 21 Sep 2010; Markos Chandras <hwoarang@gentoo.org> -PyQt4-4.7.6.ebuild,
560 +PyQt4-4.7.7.ebuild:
561 Version bump. Remove old bogus version
562
563 13 Sep 2010; Tobias Klausmann <klausman@gentoo.org> PyQt4-4.7.3.ebuild:
564 Stable on alpha, bug #315775
565
566 13 Sep 2010; Joseph Jezak <josejx@gentoo.org> PyQt4-4.7.3.ebuild:
567 Marked ppc stable for bug #315775.
568
569 10 Sep 2010; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
570 PyQt4-4.7.6.ebuild:
571 Update EAPI. Fix dependencies.
572
573*PyQt4-4.7.6 (08 Sep 2010)
574
575 08 Sep 2010; Markos Chandras <hwoarang@gentoo.org> -PyQt4-4.7.2.ebuild,
576 +PyQt4-4.7.6.ebuild:
577 Version bump. Remove old ebuild
578
579 01 Sep 2010; Markos Chandras <hwoarang@gentoo.org> -PyQt4-4.7.4.ebuild,
580 PyQt4-4.7.5.ebuild:
581 Drop old bogus ebuild. Drop RESTRICT_PYTHON_ABIS from latest ebuild
582
583*PyQt4-4.7.5 (01 Sep 2010)
584
585 01 Sep 2010; Markos Chandras <hwoarang@gentoo.org> PyQt4-4.7.4.ebuild,
586 +PyQt4-4.7.5.ebuild:
587 Version bump
588
589 18 Aug 2010; Jeroen Roovers <jer@gentoo.org> PyQt4-4.7.3.ebuild:
590 Stable for HPPA (bug #315775).
4 591
5 15 Jul 2010; Markos Chandras <hwoarang@gentoo.org> PyQt4-4.7.4.ebuild: 592 15 Jul 2010; Markos Chandras <hwoarang@gentoo.org> PyQt4-4.7.4.ebuild:
6 Bump sip dependency to 4.10.3. Fix arm epatch command 593 Bump sip dependency to 4.10.3. Fix arm epatch command
7 594
8*PyQt4-4.7.4 (13 Jul 2010) 595*PyQt4-4.7.4 (13 Jul 2010)
489*PyQt4-4.0_beta1 (05 May 2006) 1076*PyQt4-4.0_beta1 (05 May 2006)
490 1077
491 05 May 2006; Caleb Tennis <caleb@gentoo.org> +metadata.xml, 1078 05 May 2006; Caleb Tennis <caleb@gentoo.org> +metadata.xml,
492 +PyQt4-4.0_beta1.ebuild: 1079 +PyQt4-4.0_beta1.ebuild:
493 initial import, from bug #121554 1080 initial import, from bug #121554
494

Legend:
Removed from v.1.121  
changed lines
  Added in v.1.269

  ViewVC Help
Powered by ViewVC 1.1.20